<id>
Quick Reply box for YaBB2
</id>

<version>
1.3
</version>

<mod info>
Based on the Quick Reply Box 1.3 by BHRA Webmaster, Krikkert, Colicab

CHANGELOG
1.3:
- Fix for IE7 Browser about 'Do you want to allow this webpage to access your clipboard'
1.2:
- Update for YaBB 2.2
- change Post/Reply Layout from YaBB 2.2
1.1:
- Fix Quick Reply/Post Windows Size Layout
1.0:
- Fix No Quick Post Box if guest posting disabled
- add missing style="height: 166px; width: $pwidth%; font-family: Verdana; font-size: 11px; padding: 5px; margin: 0px; visibility: visible;" in textarea 
0.5e:
- No Quick Reply in locked topics
0.5d:
- Fixed Preview
0.5c:
- Disabled in Global Announcements.
0.5b:
- Fixed Post Box not showing when disabling Reply Box. 
0.5:
- Added an optional attachment box.
- Adapted to the new sticky/closed option in YaBB2 Final.
- Added a hand cursor when you hover the buttons :P
- Fixed a bug with smilies.
- Guests can now use it (if guest posting enabled).
- Enable smilies and enable YaBBc buttons, are now two separate options.
- Added preview button.
0.4:
- Mod is now YaBB2-rules compliant
- Changed quickreply.lng with QuickReply.lng
0.3:
- Added the 4 new RC3 Build 071805 buttons
- Changed some javascript, too look like Post.pl
0.2:
- Language changes, in a separate lng file.

HOW TO INSTALL
- Install this mod with Boardmod.
- Upload QuickReply.pl in the Admin folder.
- Upload QuickReply.lng in the Languages folder.
- Go to the Admin Panel, and enable the Quick Reply Box.
</mod info>

<author>
Boris Tjuvanov (MF-B) and Jeffrey Man (Jet Li), Gabriel Finkelstein & BHRA Webmaster, Krikkert, Colicab
</author>

<homepage>

</homepage>

<edit file>
YaBB.pl
</edit file>

<search for>
require "$vardir/Smilies.txt";
</search for>

<add after>
if (-e("$vardir/QuickReply.txt"))  {
	require "$vardir/QuickReply.txt";
}
</add after>

<edit file>
AdminIndex.pl
</edit file>

<search for>
### BOARDMOD ANCHOR ###
</search for>

<add after>
	$quickreply = "quickreply|Quick Reply Box|Quick Reply Box|";
	push (@boardmod_mods, "$quickreply");
</add after>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
sub ListMods {
</search for>

<add before>
&LoadLanguage('QuickReply');
</add before>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
 	$quickreply = "Quick_Reply_Box|Boris Tjuvanov (MF-B) and Jeffrey Man (Jet Li), Gabriel Finkelstein & BHRA Webmaster, Krikkert, Colicab|$qrb_txt{'9'}|1.3|November 21th, 2007";
	push (@installed_mods, "$quickreply");
</add before>

<edit file>
Admin/AdminSubList.pl
</edit file>

<search for>
%director=(
</search for>

<add after>
'quickreply',"QuickReply.pl&QuickReplySet",
'quickreply2',"QuickReply.pl&QuickReplySet2",
</add after>

<edit file>
Sources/Display.pl
</edit file>

<search for>
&LoadLanguage('Display');
</search for>

<add before>
&LoadLanguage('QuickReply');
</add before>

<search for>
	$yytitle = $msubthread;
</search for>

<add before>
### Quick Reply Box ###
	if ($reply_users{$currentboard} || $reply_groups{$currentboard}) {
		my $access = &AccessCheck($currentboard, 2) || '';
		if ($access eq 'denied') { $enable_quickreply = 0; }
	}
	if ($enable_guestposting == 0 && $iamguest){ $enable_quickreply = 0; }
	if ($annboard eq $currentboard && !$iamadmin && !$iamgmod) {
		$enable_quickreply = 0;
	} elsif (&AccessCheck($currentboard, 2) ne 'granted') {
		$enable_quickreply = 0;
	} elsif ($mstate =~ /l/) {
		$enable_quickreply = 0;
	}

	if ($enable_quickreply == 1) {

	$yymain .= qq~
	<script language="JavaScript1.2" src="$postjspath" type="text/javascript"></script>
	<script language="JavaScript1.2" src="$ubbcjspath" type="text/javascript"></script>
	<script language="JavaScript1.2" type="text/javascript">
	<!--
	var postas = '$post';
	var namefield = '$realname';
	var mailfield = '$realemail';
	function checkForm(theForm) {
		if (navigator.appName == "Microsoft Internet Explorer" && document.getElementById('iecopy').checked == true) { theForm.message.createTextRange().execCommand("Copy"); }
		if (theForm.subject.value == "") { alert("$post_txt{'77'}"); theForm.subject.focus(); return false }
		if (postas == "imsend") { if (theForm.to.value == "") {
			alert("$post_txt{'752'}"); theForm.to.focus(); return false }
		} else {
			if (namefield == "") {
				if (theForm.name.value == "" || theForm.name.value == "_" || theForm.name.value == " ") { alert("$post_txt{'75'}"); theForm.name.focus(); return false }
				if (theForm.name.value.length > 25)  { alert("$post_txt{'568'}"); theForm.name.focus(); return false }
			}
			if (mailfield == "") {
				if (theForm.email.value == "") { alert("$post_txt{'76'}"); theForm.email.focus(); return false }
				if (! checkMailaddr(theForm.email.value)) { alert("$post_txt{'500'}"); theForm.email.focus(); return false }
			}
		}
		if (theForm.message.value == "") { alert("$post_txt{'78'}"); theForm.message.focus(); return false }
		return true
		}
	//-->
	</script>
	~;

	$yymain .= qq~
	<form action="$scripturl?board=$currentboard;action=post2" method="post" name="postmodify" enctype="multipart/form-data" onsubmit="if(!checkForm(this)) {return false} else {return submitproc()}">
	<input type="hidden" name="threadid" value="$viewnum" />
	<input type="hidden" name="icon" value="xx" />
	<table border="0" width="80%" cellpadding="3" cellspacing="0" class="windowbg" align="center">
	<tr>
		<td colspan="2" align="center" class="titlebg"><span class="text1"><b>$qrb_txt{'2'}</b></span></td>
	</tr>
	<tr>
		<td align="left" class="windowbg2" width="23%"><b>$post_txt{'70'}:</b></td>
		<td align="left" class="windowbg2" width="77%"><input type="text" name="subject" value="Re: $msubthread" size="50" maxlength="$set_subjectMaxLength" tabindex="1" style="width: 437px;" /></td>
	</tr>
	<tr>
		<td class="windowbg2" width="23%" align="left" valign="top"><b>$post_txt{'72'}:</b></td>
		<td rowspan="2" valign="middle" class="windowbg2" width="77%">
	  ~;

		if ($enable_ubbc && $showyabbcbutt && $enable_quickyabbc) {
			require "$sourcedir/Palette.pl";
			$ubbcpalette .= &Palette("post");
			$yymain .= qq~
			<div style="float: left; width: 440px;">
			<script language="JavaScript1.2" type="text/javascript">
			<!--
			if((navigator.appName == "Netscape" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Microsoft Internet Explorer" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Opera" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "WebTV Plus Receiver" && navigator.appVersion.charAt(0) >= 3) || (navigator.appName == "Konqueror" && navigator.appVersion.charAt(0) >= 2)) {
				HAND = "style='cursor: pointer;'";
				document.write('<div style="width: 437px; float: left;">');
				document.write("<img src='$imagesdir/url.gif' onclick='hyperlink();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'257'}' title='$post_txt{'257'}' border='0' \/>");
				document.write("<img src='$imagesdir/ftp.gif' onclick='ftp();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'434'}' title='$post_txt{'434'}' border='0' \/>");
				document.write("<img src='$imagesdir/img.gif' onclick='image();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'435'}' title='$post_txt{'435'}' border='0' \/>");
				document.write("<img src='$imagesdir/email2.gif' onclick='emai1();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'258'}' title='$post_txt{'258'}' border='0' \/>");
				document.write("<img src='$imagesdir/media.gif' onclick='flash();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'433'}' title='$post_txt{'433'}' border='0' \/>");
				document.write("<img src='$imagesdir/table.gif' onclick='table();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'436'}' title='$post_txt{'436'}' border='0' \/>");
				document.write("<img src='$imagesdir/tr.gif' onclick='trow();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'449'}' title='$post_txt{'449'}' border='0' \/>");
				document.write("<img src='$imagesdir/td.gif' onclick='tcol();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'437'}' title='$post_txt{'437'}' border='0' \/>");
				document.write("<img src='$imagesdir/hr.gif' onclick='hr();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'531'}' title='$post_txt{'531'}' border='0' \/>");
				document.write("<img src='$imagesdir/tele.gif' onclick='teletype();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'440'}' title='$post_txt{'440'}' border='0' \/>");
				document.write("<img src='$imagesdir/code.gif' onclick='showcode();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'259'}' title='$post_txt{'259'}' border='0' \/>");
				document.write("<img src='$imagesdir/quote2.gif' onclick='quote();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'260'}' title='$post_txt{'260'}' border='0' \/>");
				document.write("<img src='$imagesdir/edit.gif' onclick='edit();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'603'}' title='$post_txt{'603'}' border='0' \/>");
				document.write("<img src='$imagesdir/sup.gif' onclick='superscript();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'447'}' title='$post_txt{'447'}' border='0' \/>");
				document.write("<img src='$imagesdir/sub.gif' onclick='subscript();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'448'}' title='$post_txt{'448'}' border='0' \/>");
				document.write("<img src='$imagesdir/list.gif' onclick='list();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'261'}' title='$post_txt{'261'}' border='0' />");
				document.write("<img src='$imagesdir/me.gif' onclick='me();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'604'}' title='$post_txt{'604'}' border='0' />");
				document.write("<img src='$imagesdir/move.gif' onclick='move();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'439'}' title='$post_txt{'439'}' border='0' \/>");
				document.write("<img src='$imagesdir/timestamp.gif' onclick='timestamp($date);' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'245'}' title='$post_txt{'245'}' border='0' \/><br />");
				document.write('</div>');
				document.write('<div style="width: 115px; float: left;">');
				document.write("<img src='$imagesdir/bold.gif' onclick='bold();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'253'}' title='$post_txt{'253'}' border='0' \/>");
				document.write("<img src='$imagesdir/italicize.gif' onclick='italicize();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'254'}' title='$post_txt{'254'}' border='0' \/>");
				document.write("<img src='$imagesdir/underline.gif' onclick='underline();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'255'}' title='$post_txt{'255'}' border='0' \/>");
				document.write("<img src='$imagesdir/strike.gif' onclick='strike();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'441'}' title='$post_txt{'441'}' border='0' \/>");
				document.write("<img src='$imagesdir/highlight.gif' onclick='highlight();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'246'}' title='$post_txt{'246'}' border='0' />");
				document.write('</div>');
				document.write('<div style="width: 139px; float: left; text-align: center;">');
				document.write('<select name="fontface" id="fontface" onchange="if(this.options[this.selectedIndex].value) fontfce(this.options[this.selectedIndex].value);" style="width: 90px; margin-top: 2px; margin-left: 2px; margin-right: 1px; font-size: 9px;">');
				document.write('<option value="">Verdana<\/option>');
				document.write('<option value="">\\-\\-\\-\\-\\-<\/option>');
				document.write('<option value="Sans-Serif" style="font-family: Sans-Serif">Sans-Serif</option>');
				document.write('<option value="Verdana" style="font-family: Verdana" selected="selected">Verdana<\/option>');
				document.write('<option value="Arial" style="font-family: Arial">Arial<\/option>');
				document.write('<option value="Serif" style="font-family: Serif">Serif<\/option>');
				document.write('<option value="Courier" style="font-family: Courier">Courier<\/option>');
				document.write('<option value="Courier New" style="font-family: Courier New">Courier New<\/option>');
				document.write('<option value="monospace" style="font-family: monospace">Monospace<\/option>');
				document.write('</select>');
				document.write('<select name="fontsize" id="fontsize" onchange="if(this.options[this.selectedIndex].value) fntsize(this.options[this.selectedIndex].value);" style="width: 39px; margin-top: 2px; margin-left: 1px; margin-right: 2px; font-size: 9px;">');
				document.write('<option value="">11<\/option>');
				document.write('<option value="">\\-\\-<\/option>');
				document.write('<option value="6">6<\/option>');
				document.write('<option value="7">7<\/option>');
				document.write('<option value="8">8<\/option>');
				document.write('<option value="9">9<\/option>');
				document.write('<option value="10">10<\/option>');
				document.write('<option value="11" selected="selected">11<\/option>');
				document.write('<option value="12">12<\/option>');
				document.write('<option value="14">14<\/option>');
				document.write('<option value="16">16<\/option>');
				document.write('<option value="18">18<\/option>');
				document.write('<option value="20">20<\/option>');
				document.write('<option value="22">22<\/option>');
				document.write('<option value="24">24<\/option>');
				document.write('<option value="36">36<\/option>');
				document.write('<option value="48">48<\/option>');
				document.write('<option value="56">56<\/option>');
				document.write('<option value="72">72</option>');
				document.write('</select>');
				document.write('</div>');
			}
			//-->
			</script>
			$ubbcpalette
			<script language="JavaScript1.2" type="text/javascript">
			<!--
			if((navigator.appName == "Netscape" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Microsoft Internet Explorer" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Opera" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "WebTV Plus Receiver" && navigator.appVersion.charAt(0) >= 3) || (navigator.appName == "Konqueror" && navigator.appVersion.charAt(0) >= 2)) {
				HAND = "style='cursor: pointer; cursor: hand;'";
				document.write('<div style="width: 92px; float: left;">');
				document.write("<img src='$imagesdir/pre.gif' onclick='pre();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'444'}' title='$post_txt{'444'}' border='0' />");
				document.write("<img src='$imagesdir/left.gif' onclick='left();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'445'}' title='$post_txt{'445'}' border='0' />");
				document.write("<img src='$imagesdir/center.gif' onclick='center();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'256'}' title='$post_txt{'256'}' border='0' />");
				document.write("<img src='$imagesdir/right.gif' onclick='right();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'446'}' title='$post_txt{'446'}' border='0' />");
				document.write('</div>');
			}
			else { document.write("<span class='small'>$post_txt{'215'}</span>"); }
			//-->
			</script>
			<noscript>
			<span class="small">$post_txt{'215'}</span>
			</noscript>
			</div>
			~;
		}

	$yymain .= qq~
		<div style="float: left; width: 99%;">
		<textarea name="message" id="message" rows="8" cols="68" style="height: 130px; width: 427px; font-family: Verdana; font-size: 11px; padding: 5px; margin: 0px; visibility: visible;" onclick="javascript:storeCaret(this);" onkeyup="javascript:storeCaret(this);" onchange="javascript:storeCaret(this);" tabindex="4"></textarea>
		</div>
		</td>
	</tr>
	<tr>
		<td valign="top" class="windowbg2" width="23%">
		~;

	if ($enable_quicksmilies == 1) {
		$yymain .= qq~
		<script language="JavaScript1.2" type="text/javascript">
		<!--
		~;

		$moresmilieslist = '';
		$more_smilie_array = '';
		$i = 0;

		if ($showadded eq 1) {
			while ($SmilieURL[$i]) {
				if ($SmilieURL[$i] =~ /\//i) { $tmpurl = $SmilieURL[$i]; }
				else { $tmpurl = qq~$imagesdir/$SmilieURL[$i]~; }
				$moresmilieslist .= qq~      document.write('<img src="$tmpurl" align="bottom" alt="$SmilieDescription[$i]" border="0" onclick="javascript:MoreSmilies($i)" style="cursor:pointer" alt="">$SmilieLinebreak[$i] ');\n~;
				$tmpcode = $SmilieCode[$i];
				$tmpcode =~ s/\&quot;/"+'"'+"/g;    #" Adding that because if not it screws up my syntax view'
				&FromHTML($tmpcode);
				$tmpcode =~ s/&#36;/\$/g;
				$tmpcode =~ s/&#64;/\@/g;
				$more_smilie_array .= qq~" $tmpcode", ~;
				$i++;
			}
		}

		if ($showsmdir eq 1) {
		opendir(DIR, "$smiliesdir");
			@contents = readdir(DIR);
			closedir(DIR);
			foreach $line (sort { uc($a) cmp uc($b) } @contents) {
				($name, $extension) = split(/\./, $line);
				if ($extension =~ /gif/i || $extension =~ /jpg/i || $extension =~ /jpeg/i || $extension =~ /png/i) {
					if ($line !~ /banner/i) {
						$moresmilieslist   .= qq~      document.write("<img src='$smiliesurl/$line' align='bottom' alt='$name' border='0' onclick='javascript: MoreSmilies($i);' style='cursor:hand'>$SmilieLinebreak[$i] ");\n~;
						$more_smilie_array .= qq~" [smiley=$line]", ~;
						$i++;
					}
				}
			}
		}

		$more_smilie_array .= qq~""~;

		$yymain .= qq~
			moresmiliecode = new Array($more_smilie_array)
			function MoreSmilies(i) {
				AddTxt=moresmiliecode[i];
				AddText(AddTxt);
			}
		~;

		if ($smiliestyle eq 1) { $smiliewinlink = qq~$scripturl?action=smilieput~; }
		else { $smiliewinlink = qq~$scripturl?action=smilieindex~; }

		$yymain .= qq~
			function smiliewin() {
				window.open("$smiliewinlink", 'list', 'width=$winwidth,height=$winheight, scrollbars=yes');
			}
		//-->
		</script>
		~;

		if ($showadded eq 2 || $showsmdir eq 2) {
			$yymain .= qq~
			<script language="JavaScript1.2" type="text/javascript">
			<!--
			function Smiliextra() {
				AddTxt=smiliecode[document.postmodify.smiliextra_list.value];
				AddText(AddTxt);
			}
			~;

			$smilieslist       = "";
			$smilie_url_array  = "";
			$smilie_code_array = "";
			$i                 = 0;
			if ($showadded eq 2) {
				while ($SmilieURL[$i]) {
					$smilieslist .= qq~           document.write("<option value='$i'>$SmilieDescription[$i]<\/option>");\n~;
					if ($SmilieURL[$i] =~ /\//i) { $tmpurl = $SmilieURL[$i]; }
					else { $tmpurl = qq~$defaultimagesdir/$SmilieURL[$i]~; }
					$smilie_url_array .= qq~"$tmpurl", ~;
					$tmpcode = $SmilieCode[$i];
					$tmpcode =~ s/\&quot;/"+'"'+"/g;    # "'
					&FromHTML($tmpcode);
					$tmpcode =~ s/&#36;/\$/g;
					$tmpcode =~ s/&#64;/\@/g;
					$smilie_code_array .= qq~" $tmpcode", ~;
					$i++;
				}
			}
			if ($showsmdir eq 2) {
				opendir(DIR, "$smiliesdir");
				@contents = readdir(DIR);
				closedir(DIR);
				foreach $line (sort { uc($a) cmp uc($b) } @contents) {
					($name, $extension) = split(/\./, $line);
					if ($extension =~ /gif/i || $extension =~ /jpg/i || $extension =~ /jpeg/i || $extension =~ /png/i) {
						if ($line !~ /banner/i) {
							$smilieslist       .= qq~           document.write("<option value='$i'>$name<\/option>");\n~;
							$smilie_url_array  .= qq~"$smiliesurl/$line", ~;
							$smilie_code_array .= qq~" [smiley=$line]", ~;
							$i++;
						}
					}
				}
			}
			$smilie_url_array  .= qq~""~;
			$smilie_code_array .= qq~""~;

			$yymain .= qq~

			smilieurl = new Array($smilie_url_array)
			smiliecode = new Array($smilie_code_array)

			if((navigator.appName == "Netscape" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Microsoft Internet Explorer" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Opera" && navigator.appVersion.charAt(0) >= 4)) {
				document.write('<table class="bordercolor" height="90" width="120" border="0" cellpadding="2" cellspacing="1" align="center"><tr>');
				document.write('<td height="15" align="center" valign="middle" class="titlebg"><span class="small"><b>$post_smiltxt{'1'}</b></span></td>');
				document.write('</tr><tr>');
				document.write('<td height="20" align="center" valign="top" class="windowbg2"><select name="smiliextra_list" onchange="document.images.smiliextra_image.src= smilieurl[document.postmodify.smiliextra_list.value]" style="width:114px; font-size:7pt;">');
				$smilieslist
				document.write('</select></td>');
				document.write('</tr><tr>');
				document.write('<td height="70" align="center" valign="middle" class="windowbg2"><img name="smiliextra_image" src="'+smilieurl[0]+'" alt="" border="0" onclick="javascript:Smiliextra()" style="cursor:pointer;"></td>');
				document.write('</tr><tr>');
				document.write('<td height="15" align="center" valign="middle" class="windowbg2"><span class="small"><a href="javascript: smiliewin();">$post_smiltxt{'17'}</a></span></td>');
				document.write('</tr></table>');
			}
			//-->
			</script>
			~;
		} else {
			$yymain .= qq~
			&nbsp;
			~;
		}

	$yymain .= qq~
		</td>
	</tr>
	<tr>
		<td class="windowbg2" width="23%">
			&nbsp;
		</td>
		<td width="77%" valign="middle" class="windowbg2">
			<script language="JavaScript1.2" type="text/javascript">
			<!--
			if((navigator.appName == "Netscape" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Microsoft Internet Explorer" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Opera" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Konqueror" && navigator.appVersion.charAt(0) >= 2)) {
				HAND = "style='cursor: pointer; cursor: hand;'";
				document.write("<img src='$imagesdir/smiley.gif' onclick='smiley();' "+HAND+" align='bottom' alt='$post_txt{'287'}' title='$post_txt{'287'}' border='0'> ");
				document.write("<img src='$imagesdir/wink.gif' onclick='wink();' "+HAND+" align='bottom' alt='$post_txt{'292'}' title='$post_txt{'292'}' border='0'> ");
				document.write("<img src='$imagesdir/cheesy.gif' onclick='cheesy();' "+HAND+" align='bottom' alt='$post_txt{'289'}' title='$post_txt{'289'}' border='0'> ");
				document.write("<img src='$imagesdir/grin.gif' onclick='grin();' "+HAND+" align='bottom' alt='$post_txt{'293'}' title='$post_txt{'293'}' border='0'> ");
				document.write("<img src='$imagesdir/angry.gif' onclick='angry();' "+HAND+" align='bottom' alt='$post_txt{'288'}' title='$post_txt{'288'}' border='0'> ");
				document.write("<img src='$imagesdir/sad.gif' onclick='sad();' "+HAND+" align='bottom' alt='$post_txt{'291'}' title='$post_txt{'291'}' border='0'> ");
				document.write("<img src='$imagesdir/shocked.gif' onclick='shocked();' "+HAND+" align='bottom' alt='$post_txt{'294'}' title='$post_txt{'294'}' border='0'> ");
				document.write("<img src='$imagesdir/cool.gif' onclick='cool();' "+HAND+" align='bottom' alt='$post_txt{'295'}' title='$post_txt{'295'}' border='0'> ");
				document.write("<img src='$imagesdir/huh.gif' onclick='huh();' "+HAND+" align='bottom' alt='$post_txt{'296'}' title='$post_txt{'296'}' border='0'> ");
				document.write("<img src='$imagesdir/rolleyes.gif' onclick='rolleyes();' "+HAND+" align='bottom' alt='$post_txt{'450'}' title='$post_txt{'450'}' border='0'> ");
				document.write("<img src='$imagesdir/tongue.gif' onclick='tongue();' "+HAND+" align='bottom' alt='$post_txt{'451'}' title='$post_txt{'451'}' border='0'> ");
				document.write("<img src='$imagesdir/embarassed.gif' onclick='embarassed();' "+HAND+" align='bottom' alt='$post_txt{'526'}' title='$post_txt{'526'}' border='0'> ");
				document.write("<img src='$imagesdir/lipsrsealed.gif' onclick='lipsrsealed();' "+HAND+" align='bottom' alt='$post_txt{'527'}' title='$post_txt{'527'}' border='0'> ");
				document.write("<img src='$imagesdir/undecided.gif' onclick='undecided();' "+HAND+" align='bottom' alt='$post_txt{'528'}' title='$post_txt{'528'}' border='0'> ");
				document.write("<img src='$imagesdir/kiss.gif' onclick='kiss();' "+HAND+" align='bottom' alt='$post_txt{'529'}' title='$post_txt{'529'}' border='0'> ");
				document.write("<img src='$imagesdir/cry.gif' onclick='cry();' "+HAND+" align='bottom' alt='$post_txt{'530'}' title='$post_txt{'530'}' border='0'> ");$moresmilieslist
			} else { 
				document.write("<span  class='small'>$post_txt{'215'}</span>");
			}
			//-->
			</script>
			~;
			if (($showadded == 3 && $showsmdir ne 2) || ($showsmdir eq 3 && $showadded ne 2)) {
				$yymain .= qq~<a href=javascript: smiliewin();>$post_smiltxt{'1'}</a>~;
			}
	$yymain .= qq~
			<noscript>
			<span class="small">$post_txt{'215'}</span>
			</noscript>
		</td>
	</tr>
	~;
	}

	if (&AccessCheck($currentboard, 4) eq "granted") {
		if ($enable_quickattach == 1 && $allowattach == 1 && ${$uid.$currentboard}{'attperms'} == 1 && $fa_ok == 1 && (($allowguestattach == 0 && !$iamguest) || $allowguestattach == 1)) {
		$extensions = join(" ", @ext);
		$filetype_info = $checkext == 1 ? qq~$fatxt{'2'} $extensions~ : qq~$fatxt{'2'} $fatxt{'4'}~;
		$filesize_info = $limit != 0    ? qq~$fatxt{'3'} $limit KB~   : qq~$fatxt{'3'} $fatxt{'5'}~;
		$yymain .= qq~
		<tr>
			<td width="23%" valign="top"><b>$fatxt{'6'}</b></td>
			<td width="77%"><input type="file" name="file" size="50" /><br />
			<span class="small">$filetype_info<br />$filesize_info</span></td>
		</tr>
		~;
		}
	}

	$yymain .= qq~
  <tr>
    <td colspan="2" align="center" class="catbg"><input type="submit" name="post" value="$post_txt{'105'}" accesskey="s" /> &nbsp; <input type="submit" name="preview" value="$post_txt{'507'}" accesskey="p" tabindex="6" /> &nbsp; <input type="reset" name="clear" value="$post_txt{'278'}" accesskey="r" /></td>
  </tr>
</table>
</form>
~;
}
### Quick Reply Box ###
</add before>

<edit file>
Sources/MessageIndex.pl
</edit file>

<search for>
&LoadLanguage('MessageIndex');
</search for>

<add before>
&LoadLanguage('QuickReply');
</add before>

<search for>
	$yytitle = $boardname;
</search for>

<add before>
### Quick Post Box ###
&LoadLanguage('Post');
	# MBCO2 Post access check
	if ($start_users{$currentboard} || $start_groups{$currentboard}) {
		my $access = &AccessCheck($currentboard, 1) || "";
		if ($access eq "denied") {$enable_quickpost = 0;}
	}
	if ($enable_guestposting == 0 && $iamguest){
	$enable_quickpost = 0;
	}
	if ($enable_quickpost == 1) {
$yymain .= qq~
<script language="JavaScript1.2" src="$postjspath" type="text/javascript"></script>
<script language="JavaScript1.2" type="text/javascript">
<!--
	var postas = '$post';
	var namefield = '$realname';
	var mailfield = '$realemail';
	function checkForm(theForm) {
		if (navigator.appName == "Microsoft Internet Explorer" && document.getElementById('iecopy').checked == true) { theForm.message.createTextRange().execCommand("Copy"); }
		if (theForm.subject.value == "") { alert("$post_txt{'77'}"); theForm.subject.focus(); return false }
		if (postas == "imsend") { if (theForm.to.value == "") {
			alert("$post_txt{'752'}"); theForm.to.focus(); return false }
		} else {
			if (namefield == "") {
				if (theForm.name.value == "" || theForm.name.value == "_" || theForm.name.value == " ") { alert("$post_txt{'75'}"); theForm.name.focus(); return false }
				if (theForm.name.value.length > 25)  { alert("$post_txt{'568'}"); theForm.name.focus(); return false }
			}
			if (mailfield == "") {
				if (theForm.email.value == "") { alert("$post_txt{'76'}"); theForm.email.focus(); return false }
				if (! checkMailaddr(theForm.email.value)) { alert("$post_txt{'500'}"); theForm.email.focus(); return false }
			}
		}
		if (theForm.message.value == "") { alert("$post_txt{'78'}"); theForm.message.focus(); return false }
		return true
		}
	//-->
	</script>
	~;

	$yymain .= qq~
	<form action="$scripturl?board=$currentboard;action=post2" method="post" name="postmodify" enctype="multipart/form-data" onsubmit="if(!checkForm(this)) {return false} else {return submitproc()}">
	<input type="hidden" name="threadid" value="$viewnum" />
	<input type="hidden" name="icon" value="xx" />
	<table border="0" width="80%" cellpadding="3" cellspacing="0" class="windowbg" align="center">
	<tr>
		<td colspan="2" align="center" class="titlebg"><span class="text1"><b>$qrb_txt{'1'}</b></span></td>
	</tr>
	<tr>
		<td align="left" class="windowbg2" width="23%"><b>$post_txt{'70'}:</b></td>
		<td align="left" class="windowbg2" width="77%"><input type="text" name="subject" size="50" maxlength="$set_subjectMaxLength" tabindex="1" style="width: 437px;" /></td>
	</tr>
	<tr>
		<td class="windowbg2" width="23%" align="left" valign="top"><b>$post_txt{'72'}:</b></td>
		<td rowspan="2" valign="middle" class="windowbg2" width="77%">
	  ~;

		if ($enable_ubbc && $showyabbcbutt && $enable_quickyabbc) {
			require "$sourcedir/Palette.pl";
			$ubbcpalette .= &Palette("post");
			$yymain .= qq~
			<div style="float: left; width: 440px;">
			<script language="JavaScript1.2" type="text/javascript">
			<!--
			if((navigator.appName == "Netscape" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Microsoft Internet Explorer" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Opera" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "WebTV Plus Receiver" && navigator.appVersion.charAt(0) >= 3) || (navigator.appName == "Konqueror" && navigator.appVersion.charAt(0) >= 2)) {
				HAND = "style='cursor: pointer;'";
				document.write('<div style="width: 437px; float: left;">');
				document.write("<img src='$imagesdir/url.gif' onclick='hyperlink();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'257'}' title='$post_txt{'257'}' border='0' \/>");
				document.write("<img src='$imagesdir/ftp.gif' onclick='ftp();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'434'}' title='$post_txt{'434'}' border='0' \/>");
				document.write("<img src='$imagesdir/img.gif' onclick='image();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'435'}' title='$post_txt{'435'}' border='0' \/>");
				document.write("<img src='$imagesdir/email2.gif' onclick='emai1();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'258'}' title='$post_txt{'258'}' border='0' \/>");
				document.write("<img src='$imagesdir/media.gif' onclick='flash();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'433'}' title='$post_txt{'433'}' border='0' \/>");
				document.write("<img src='$imagesdir/table.gif' onclick='table();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'436'}' title='$post_txt{'436'}' border='0' \/>");
				document.write("<img src='$imagesdir/tr.gif' onclick='trow();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'449'}' title='$post_txt{'449'}' border='0' \/>");
				document.write("<img src='$imagesdir/td.gif' onclick='tcol();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'437'}' title='$post_txt{'437'}' border='0' \/>");
				document.write("<img src='$imagesdir/hr.gif' onclick='hr();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'531'}' title='$post_txt{'531'}' border='0' \/>");
				document.write("<img src='$imagesdir/tele.gif' onclick='teletype();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'440'}' title='$post_txt{'440'}' border='0' \/>");
				document.write("<img src='$imagesdir/code.gif' onclick='showcode();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'259'}' title='$post_txt{'259'}' border='0' \/>");
				document.write("<img src='$imagesdir/quote2.gif' onclick='quote();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'260'}' title='$post_txt{'260'}' border='0' \/>");
				document.write("<img src='$imagesdir/edit.gif' onclick='edit();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'603'}' title='$post_txt{'603'}' border='0' \/>");
				document.write("<img src='$imagesdir/sup.gif' onclick='superscript();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'447'}' title='$post_txt{'447'}' border='0' \/>");
				document.write("<img src='$imagesdir/sub.gif' onclick='subscript();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'448'}' title='$post_txt{'448'}' border='0' \/>");
				document.write("<img src='$imagesdir/list.gif' onclick='list();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'261'}' title='$post_txt{'261'}' border='0' />");
				document.write("<img src='$imagesdir/me.gif' onclick='me();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'604'}' title='$post_txt{'604'}' border='0' />");
				document.write("<img src='$imagesdir/move.gif' onclick='move();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'439'}' title='$post_txt{'439'}' border='0' \/>");
				document.write("<img src='$imagesdir/timestamp.gif' onclick='timestamp($date);' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'245'}' title='$post_txt{'245'}' border='0' \/><br />");
				document.write('</div>');
				document.write('<div style="width: 115px; float: left;">');
				document.write("<img src='$imagesdir/bold.gif' onclick='bold();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'253'}' title='$post_txt{'253'}' border='0' \/>");
				document.write("<img src='$imagesdir/italicize.gif' onclick='italicize();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'254'}' title='$post_txt{'254'}' border='0' \/>");
				document.write("<img src='$imagesdir/underline.gif' onclick='underline();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'255'}' title='$post_txt{'255'}' border='0' \/>");
				document.write("<img src='$imagesdir/strike.gif' onclick='strike();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'441'}' title='$post_txt{'441'}' border='0' \/>");
				document.write("<img src='$imagesdir/highlight.gif' onclick='highlight();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'246'}' title='$post_txt{'246'}' border='0' />");
				document.write('</div>');
				document.write('<div style="width: 139px; float: left; text-align: center;">');
				document.write('<select name="fontface" id="fontface" onchange="if(this.options[this.selectedIndex].value) fontfce(this.options[this.selectedIndex].value);" style="width: 90px; margin-top: 2px; margin-left: 2px; margin-right: 1px; font-size: 9px;">');
				document.write('<option value="">Verdana<\/option>');
				document.write('<option value="">\\-\\-\\-\\-\\-<\/option>');
				document.write('<option value="Sans-Serif" style="font-family: Sans-Serif">Sans-Serif</option>');
				document.write('<option value="Verdana" style="font-family: Verdana" selected="selected">Verdana<\/option>');
				document.write('<option value="Arial" style="font-family: Arial">Arial<\/option>');
				document.write('<option value="Serif" style="font-family: Serif">Serif<\/option>');
				document.write('<option value="Courier" style="font-family: Courier">Courier<\/option>');
				document.write('<option value="Courier New" style="font-family: Courier New">Courier New<\/option>');
				document.write('<option value="monospace" style="font-family: monospace">Monospace<\/option>');
				document.write('</select>');
				document.write('<select name="fontsize" id="fontsize" onchange="if(this.options[this.selectedIndex].value) fntsize(this.options[this.selectedIndex].value);" style="width: 39px; margin-top: 2px; margin-left: 1px; margin-right: 2px; font-size: 9px;">');
				document.write('<option value="">11<\/option>');
				document.write('<option value="">\\-\\-<\/option>');
				document.write('<option value="6">6<\/option>');
				document.write('<option value="7">7<\/option>');
				document.write('<option value="8">8<\/option>');
				document.write('<option value="9">9<\/option>');
				document.write('<option value="10">10<\/option>');
				document.write('<option value="11" selected="selected">11<\/option>');
				document.write('<option value="12">12<\/option>');
				document.write('<option value="14">14<\/option>');
				document.write('<option value="16">16<\/option>');
				document.write('<option value="18">18<\/option>');
				document.write('<option value="20">20<\/option>');
				document.write('<option value="22">22<\/option>');
				document.write('<option value="24">24<\/option>');
				document.write('<option value="36">36<\/option>');
				document.write('<option value="48">48<\/option>');
				document.write('<option value="56">56<\/option>');
				document.write('<option value="72">72</option>');
				document.write('</select>');
				document.write('</div>');
			}
			//-->
			</script>
			$ubbcpalette
			<script language="JavaScript1.2" type="text/javascript">
			<!--
			if((navigator.appName == "Netscape" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Microsoft Internet Explorer" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Opera" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "WebTV Plus Receiver" && navigator.appVersion.charAt(0) >= 3) || (navigator.appName == "Konqueror" && navigator.appVersion.charAt(0) >= 2)) {
				HAND = "style='cursor: pointer; cursor: hand;'";
				document.write('<div style="width: 92px; float: left;">');
				document.write("<img src='$imagesdir/pre.gif' onclick='pre();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'444'}' title='$post_txt{'444'}' border='0' />");
				document.write("<img src='$imagesdir/left.gif' onclick='left();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'445'}' title='$post_txt{'445'}' border='0' />");
				document.write("<img src='$imagesdir/center.gif' onclick='center();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'256'}' title='$post_txt{'256'}' border='0' />");
				document.write("<img src='$imagesdir/right.gif' onclick='right();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'446'}' title='$post_txt{'446'}' border='0' />");
				document.write('</div>');
			}
			else { document.write("<span class='small'>$post_txt{'215'}</span>"); }
			//-->
			</script>
			<noscript>
			<span class="small">$post_txt{'215'}</span>
			</noscript>
			</div>
			~;
		}

	$yymain .= qq~
		<div style="float: left; width: 99%;">
		<textarea name="message" id="message" rows="8" cols="68" style="height: 130px; width: 427px; font-family: Verdana; font-size: 11px; padding: 5px; margin: 0px; visibility: visible;" onclick="javascript:storeCaret(this);" onkeyup="javascript:storeCaret(this);" onchange="javascript:storeCaret(this);" tabindex="4"></textarea>
		</div>
		</td>
	</tr>
	<tr>
		<td valign="top" class="windowbg2" width="23%">
		~;

	if ($enable_quicksmilies == 1) {
		$yymain .= qq~
		<script language="JavaScript1.2" type="text/javascript">
		<!--
		~;

		$moresmilieslist = '';
		$more_smilie_array = '';
		$i = 0;

		if ($showadded eq 1) {
			while ($SmilieURL[$i]) {
				if ($SmilieURL[$i] =~ /\//i) { $tmpurl = $SmilieURL[$i]; }
				else { $tmpurl = qq~$imagesdir/$SmilieURL[$i]~; }
				$moresmilieslist .= qq~      document.write('<img src="$tmpurl" align="bottom" alt="$SmilieDescription[$i]" border="0" onclick="javascript:MoreSmilies($i)" style="cursor:pointer" alt="">$SmilieLinebreak[$i] ');\n~;
				$tmpcode = $SmilieCode[$i];
				$tmpcode =~ s/\&quot;/"+'"'+"/g;    #" Adding that because if not it screws up my syntax view'
				&FromHTML($tmpcode);
				$tmpcode =~ s/&#36;/\$/g;
				$tmpcode =~ s/&#64;/\@/g;
				$more_smilie_array .= qq~" $tmpcode", ~;
				$i++;
			}
		}

		if ($showsmdir eq 1) {
		opendir(DIR, "$smiliesdir");
			@contents = readdir(DIR);
			closedir(DIR);
			foreach $line (sort { uc($a) cmp uc($b) } @contents) {
				($name, $extension) = split(/\./, $line);
				if ($extension =~ /gif/i || $extension =~ /jpg/i || $extension =~ /jpeg/i || $extension =~ /png/i) {
					if ($line !~ /banner/i) {
						$moresmilieslist   .= qq~      document.write("<img src='$smiliesurl/$line' align='bottom' alt='$name' border='0' onclick='javascript: MoreSmilies($i);' style='cursor:hand'>$SmilieLinebreak[$i] ");\n~;
						$more_smilie_array .= qq~" [smiley=$line]", ~;
						$i++;
					}
				}
			}
		}

		$more_smilie_array .= qq~""~;

		$yymain .= qq~
			moresmiliecode = new Array($more_smilie_array)
			function MoreSmilies(i) {
				AddTxt=moresmiliecode[i];
				AddText(AddTxt);
			}
		~;

		if ($smiliestyle eq 1) { $smiliewinlink = qq~$scripturl?action=smilieput~; }
		else { $smiliewinlink = qq~$scripturl?action=smilieindex~; }

		$yymain .= qq~
			function smiliewin() {
				window.open("$smiliewinlink", 'list', 'width=$winwidth,height=$winheight, scrollbars=yes');
			}
		//-->
		</script>
		~;

		if ($showadded eq 2 || $showsmdir eq 2) {
			$yymain .= qq~
			<script language="JavaScript1.2" type="text/javascript">
			<!--
			function Smiliextra() {
				AddTxt=smiliecode[document.postmodify.smiliextra_list.value];
				AddText(AddTxt);
			}
			~;

			$smilieslist       = "";
			$smilie_url_array  = "";
			$smilie_code_array = "";
			$i                 = 0;
			if ($showadded eq 2) {
				while ($SmilieURL[$i]) {
					$smilieslist .= qq~           document.write("<option value='$i'>$SmilieDescription[$i]<\/option>");\n~;
					if ($SmilieURL[$i] =~ /\//i) { $tmpurl = $SmilieURL[$i]; }
					else { $tmpurl = qq~$defaultimagesdir/$SmilieURL[$i]~; }
					$smilie_url_array .= qq~"$tmpurl", ~;
					$tmpcode = $SmilieCode[$i];
					$tmpcode =~ s/\&quot;/"+'"'+"/g;    # "'
					&FromHTML($tmpcode);
					$tmpcode =~ s/&#36;/\$/g;
					$tmpcode =~ s/&#64;/\@/g;
					$smilie_code_array .= qq~" $tmpcode", ~;
					$i++;
				}
			}
			if ($showsmdir eq 2) {
				opendir(DIR, "$smiliesdir");
				@contents = readdir(DIR);
				closedir(DIR);
				foreach $line (sort { uc($a) cmp uc($b) } @contents) {
					($name, $extension) = split(/\./, $line);
					if ($extension =~ /gif/i || $extension =~ /jpg/i || $extension =~ /jpeg/i || $extension =~ /png/i) {
						if ($line !~ /banner/i) {
							$smilieslist       .= qq~           document.write("<option value='$i'>$name<\/option>");\n~;
							$smilie_url_array  .= qq~"$smiliesurl/$line", ~;
							$smilie_code_array .= qq~" [smiley=$line]", ~;
							$i++;
						}
					}
				}
			}
			$smilie_url_array  .= qq~""~;
			$smilie_code_array .= qq~""~;

			$yymain .= qq~

			smilieurl = new Array($smilie_url_array)
			smiliecode = new Array($smilie_code_array)

			if((navigator.appName == "Netscape" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Microsoft Internet Explorer" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Opera" && navigator.appVersion.charAt(0) >= 4)) {
				document.write('<table class="bordercolor" height="90" width="120" border="0" cellpadding="2" cellspacing="1" align="center"><tr>');
				document.write('<td height="15" align="center" valign="middle" class="titlebg"><span class="small"><b>$post_smiltxt{'1'}</b></span></td>');
				document.write('</tr><tr>');
				document.write('<td height="20" align="center" valign="top" class="windowbg2"><select name="smiliextra_list" onchange="document.images.smiliextra_image.src= smilieurl[document.postmodify.smiliextra_list.value]" style="width:114px; font-size:7pt;">');
				$smilieslist
				document.write('</select></td>');
				document.write('</tr><tr>');
				document.write('<td height="70" align="center" valign="middle" class="windowbg2"><img name="smiliextra_image" src="'+smilieurl[0]+'" alt="" border="0" onclick="javascript:Smiliextra()" style="cursor:pointer;"></td>');
				document.write('</tr><tr>');
				document.write('<td height="15" align="center" valign="middle" class="windowbg2"><span class="small"><a href="javascript: smiliewin();">$post_smiltxt{'17'}</a></span></td>');
				document.write('</tr></table>');
			}
			//-->
			</script>
			~;
		} else {
			$yymain .= qq~
			&nbsp;
			~;
		}

	$yymain .= qq~
		</td>
	</tr>
	<tr>
		<td class="windowbg2" width="23%">
			&nbsp;
		</td>
		<td width="77%" valign="middle" class="windowbg2">
			<script language="JavaScript1.2" type="text/javascript">
			<!--
			if((navigator.appName == "Netscape" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Microsoft Internet Explorer" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Opera" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Konqueror" && navigator.appVersion.charAt(0) >= 2)) {
				HAND = "style='cursor: pointer; cursor: hand;'";
				document.write("<img src='$imagesdir/smiley.gif' onclick='smiley();' "+HAND+" align='bottom' alt='$post_txt{'287'}' title='$post_txt{'287'}' border='0'> ");
				document.write("<img src='$imagesdir/wink.gif' onclick='wink();' "+HAND+" align='bottom' alt='$post_txt{'292'}' title='$post_txt{'292'}' border='0'> ");
				document.write("<img src='$imagesdir/cheesy.gif' onclick='cheesy();' "+HAND+" align='bottom' alt='$post_txt{'289'}' title='$post_txt{'289'}' border='0'> ");
				document.write("<img src='$imagesdir/grin.gif' onclick='grin();' "+HAND+" align='bottom' alt='$post_txt{'293'}' title='$post_txt{'293'}' border='0'> ");
				document.write("<img src='$imagesdir/angry.gif' onclick='angry();' "+HAND+" align='bottom' alt='$post_txt{'288'}' title='$post_txt{'288'}' border='0'> ");
				document.write("<img src='$imagesdir/sad.gif' onclick='sad();' "+HAND+" align='bottom' alt='$post_txt{'291'}' title='$post_txt{'291'}' border='0'> ");
				document.write("<img src='$imagesdir/shocked.gif' onclick='shocked();' "+HAND+" align='bottom' alt='$post_txt{'294'}' title='$post_txt{'294'}' border='0'> ");
				document.write("<img src='$imagesdir/cool.gif' onclick='cool();' "+HAND+" align='bottom' alt='$post_txt{'295'}' title='$post_txt{'295'}' border='0'> ");
				document.write("<img src='$imagesdir/huh.gif' onclick='huh();' "+HAND+" align='bottom' alt='$post_txt{'296'}' title='$post_txt{'296'}' border='0'> ");
				document.write("<img src='$imagesdir/rolleyes.gif' onclick='rolleyes();' "+HAND+" align='bottom' alt='$post_txt{'450'}' title='$post_txt{'450'}' border='0'> ");
				document.write("<img src='$imagesdir/tongue.gif' onclick='tongue();' "+HAND+" align='bottom' alt='$post_txt{'451'}' title='$post_txt{'451'}' border='0'> ");
				document.write("<img src='$imagesdir/embarassed.gif' onclick='embarassed();' "+HAND+" align='bottom' alt='$post_txt{'526'}' title='$post_txt{'526'}' border='0'> ");
				document.write("<img src='$imagesdir/lipsrsealed.gif' onclick='lipsrsealed();' "+HAND+" align='bottom' alt='$post_txt{'527'}' title='$post_txt{'527'}' border='0'> ");
				document.write("<img src='$imagesdir/undecided.gif' onclick='undecided();' "+HAND+" align='bottom' alt='$post_txt{'528'}' title='$post_txt{'528'}' border='0'> ");
				document.write("<img src='$imagesdir/kiss.gif' onclick='kiss();' "+HAND+" align='bottom' alt='$post_txt{'529'}' title='$post_txt{'529'}' border='0'> ");
				document.write("<img src='$imagesdir/cry.gif' onclick='cry();' "+HAND+" align='bottom' alt='$post_txt{'530'}' title='$post_txt{'530'}' border='0'> ");$moresmilieslist
			} else { 
				document.write("<span  class='small'>$post_txt{'215'}</span>");
			}
			//-->
			</script>
			~;
			if (($showadded == 3 && $showsmdir ne 2) || ($showsmdir eq 3 && $showadded ne 2)) {
				$yymain .= qq~<a href=javascript: smiliewin();>$post_smiltxt{'1'}</a>~;
			}
	$yymain .= qq~
			<noscript>
			<span class="small">$post_txt{'215'}</span>
			</noscript>
		</td>
	</tr>
	~;
	}

	if (&AccessCheck($currentboard, 4) eq "granted") {
		if ($enable_quickattach == 1 && $allowattach == 1 && ${$uid.$currentboard}{'attperms'} == 1 && $fa_ok == 1 && (($allowguestattach == 0 && !$iamguest) || $allowguestattach == 1)) {
		$extensions = join(" ", @ext);
		$filetype_info = $checkext == 1 ? qq~$fatxt{'2'} $extensions~ : qq~$fatxt{'2'} $fatxt{'4'}~;
		$filesize_info = $limit != 0    ? qq~$fatxt{'3'} $limit KB~   : qq~$fatxt{'3'} $fatxt{'5'}~;
		$yymain .= qq~
		<tr>
			<td width="23%" valign="top"><b>$fatxt{'6'}</b></td>
			<td width="77%"><input type="file" name="file" size="50" /><br />
			<span class="small">$filetype_info<br />$filesize_info</span></td>
		</tr>
		~;
		}
	}

	$yymain .= qq~
  <tr>
    <td colspan="2" align="center" class="catbg"><input type="submit" name="post" value="$post_txt{'105'}" accesskey="s" /> &nbsp; <input type="submit" name="preview" value="$post_txt{'507'}" accesskey="p" tabindex="6" /> &nbsp; <input type="reset" name="clear" value="$post_txt{'278'}" accesskey="r" /></td>
  </tr>
</table>
</form>
~;
}
### Quick Post Box ###


</add before>